import os
from pathlib import Path

# This should not be changed
JADEX_ROOT_DIR = Path(__file__).resolve().parent.parent

# User configurable
CACHE_DIR = Path(os.environ.get("JADEX_CACHE_DIR", Path.home() / ".cache" / "jadex"))
JADEX_CHECKPOINT_DIR = Path(os.environ.get("JADEX_CHECKPOINT_DIR", JADEX_ROOT_DIR / "checkpoints"))
RESULTS_DIR = JADEX_ROOT_DIR / "results"
BUILD_DIR = JADEX_ROOT_DIR.parent
PREEMPT_DIR = CACHE_DIR / "preempted_jobs"
